<id>
MenuItemsSP1 for YaBB Gold SP1 and SP1.1
</id>

<version>
1.0beta2
</version>

<mod info>

Please read this entire file BEFORE installing and using this beta mod.

This mod allows the Admin to add, remove, and rearrange
items on the main YaBB menu (top menu).  This is a beta
version.

To install:
1) Install the mod using Boardmod or manually.
2) Upload the modified Yabb.pl, english.lng, Subs.pl, Admin.pl, and
   AdminEdit.pl files in ASCII mode.
3) Upload MenuItemsSP1.pl to the /Sources directory and
   menuitems.txt to the /Variables directory in ASCII mode.

To use:
Go to the Admin Center and Click on Add/Remove Main Menu Items.  You should see
a table where you can modify the menu.  Items can be set for All Users,
Admins only, Guests only, Members only, or for any other membergroup.  
The only exception is the Profile menu item which can only be set for Members only.

Note: When setting up the Profile item, use the same name for "Profile" that
is used in your language file, $txt{'467'}.


IMPORTANT! ------ REALLY!-----READ THIS IF NOTHING ELSE!
The MenuItems menu is turned off by default.  Before activating the MenuItems menu
in the Prefs/Settings section of the Admin Center be sure you have at least entered
a Admin Center menu item to allow you access back to the Admin Center.

The Admin Center URL looks like this:
http://www.mysite.com/cgi-bin/yabb/YaBB.pl?action=admin
IMPORTANT! ------ REALLY!-----READ THIS IF NOTHING ELSE!


Note that this mod overrides the Notifications setting in the Settings/Prefs section
of the Admin Center.
----------------------------------------------------
Typical names, URLs, and gif files for default menu items:

Name			URL											Gif File

Home			http://www.mysite.com/cgi-bin/yabb/YaBB.pl				home
Search		http://www.mysite.com/cgi-bin/yabb/YaBB.pl?action=search		search
Members		http://www.mysite.com/cgi-bin/yabb/YaBB.pl??action=mlall		guest
Admin			http://www.mysite.com/cgi-bin/yabb/YaBB.pl?action=admin		admin
Login			http://www.mysite.com/cgi-bin/yabb/YaBB.pl?action=login		login
Register		http://www.mysite.com/cgi-bin/yabb/YaBB.pl?action=register		register
Notification	http://www.mysite.com/cgi-bin/yabb/YaBB.pl?action=shownotify	notify
Logout		http://www.mysite.com/cgi-bin/yabb/YaBB.pl?action=logout		logout
Profile		Anything you want - gets ignored in script				profile
Help			http://www.mysite.com/yabbhelp/index.html					help

</mod info>

<author>
Ironwing
</author>

<homepage>
http://www.mineralarts.com/cgi/yabbsp1/YaBB.pl
</homepage>

<edit file>
Sources/Subs.pl
</edit file>

<search for>
	$yyposition = $yytitle; $yytitle = "$mbname - $yytitle";
</search for>

<add after>
############## Begin mod for MenuItems #################
if ($menuitems != 0) {
	require "$sourcedir/MenuItemsSP1.pl";
	&InsertMenuItems;
} else {
</add after>


<search for>
		$yymenu .= qq~$menusep<a href="$cgi;action=logout">$img{'logout'}</a>~;
	}
</search for>

<add after>
}
############### End mod for MenuItems #################
</add after>


<edit file>
Sources/Admin.pl
</edit file>

<search for>
        - <a href="$cgi;action=modagreement">$txt{'764'}</a><br>
</search for>

<add after>
        - <a href="$cgi&action=addmenuitems">$menuitemstxt{'01'}</a><br>
</add after>


<edit file>
YaBB.pl
</edit file>

<search for>
	elsif ($action eq 'reorderboards2') { require "$sourcedir/ManageBoards.pl"; &ReorderBoards2; }
</search for>

<add after>
	elsif ($action eq 'reordermenu') { require "$sourcedir/MenuItemsSP1.pl"; &ReorderMenu; }
	elsif ($action eq 'reordermenu2') { require "$sourcedir/MenuItemsSP1.pl"; &ReorderMenu2; }
</add after>

<search for>
	elsif ($action eq 'addboard') { require "$sourcedir/ManageBoards.pl"; &CreateBoard; }
</search for>

<add after>
	elsif ($action eq 'addmenuitems') { require "$sourcedir/MenuItemsSP1.pl"; &MenuItemsPanel; }
	elsif ($action eq 'updatemenuitems') { require "$sourcedir/MenuItemsSP1.pl"; &UpdateMenuItems; }
</add after>


<edit file>
Sources/AdminEdit.pl
</edit file>

<search for>
sub ModifySettings {
	&is_admin;
</search for>

<add after>
	my($mitemschecked);
</add after>

<search for>
	if ($maintenance) { $mainchecked = ' checked'; }
</search for>

<add after>
	if ($menuitems) { $mitemschecked = ' checked'; }
</add after>

<search for>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="menutype"$menuchecked></td>
  </tr><tr>
</search for>

<add after>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$menuitemstxt{'20'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="menuitems"$mitemschecked></td>
  </tr><tr>
</add after>

<search for>
	# Set as 0 or 1 if box was checked or not
</search for>

<add before>
	push(@onoff, "menuitems");
</add before>

<search for>
	$maintenancetext = $FORM{'maintenancetext'} || "";
</search for>

<add after>
	$menuitems = $FORM{'menuitems'} || 0;
	if ($menuitems ne '0') {$menuitems = '1';}
</add after>

<search for>
\$MenuType = $MenuType;					# 1 for text menu or anything else for images menu
</search for>

<add after>
\$menuitems = $menuitems;			# Set to 1 to use MenuItems menu, 666 to use default menu
</add after>


<edit file>
english.lng
</edit file>

<search for>
$txt{'796'} = "Your Instant Messages:";
</search for>

<add after>

$menuitemstxt{'01'} = "Add/Remove Main Menu Items";
$menuitemstxt{'02'} = "Name";
$menuitemstxt{'03'} = "URL of Menu Item";
$menuitemstxt{'04'} = "Gif Name";
$menuitemstxt{'06'} = "Enter the name, URL, and icon (gif) file for new links on tables below.";
$menuitemstxt{'07'} = "Del?";
$menuitemstxt{'08'} = "Add new menu items here!";
$menuitemstxt{'09'} = "Submit Changes";
$menuitemstxt{'10'} = "Undo Changes";
$menuitemstxt{'11'} = "Current Menu Items";
$menuitemstxt{'12'} = "Click here to Re-order Menu Items";
$menuitemstxt{'18'} = "Check to show Profile button on Menu";
$menuitemstxt{'19'} = "If you delete one of the standard links and want to restore it but don't know<br>the link address look in the readme file that came with this mod and copy the link.";
$menuitemstxt{'20'} = "Check to use MenuItems menu,<br>uncheck to use default menu";
$menuitemstxt{'21'} = "All Users";
$menuitemstxt{'22'} = "Admins Only";
$menuitemstxt{'23'} = "Guests Only";
$menuitemstxt{'24'} = "Members Only";
$menuitemstxt{'25'} = "Target Group";
$menuitemstxt{'26'} = "Reorder Menu Items";
$menuitemstxt{'27'} = "Current Menu Items";

</add after>